if not MenuHelperHelper then return end

ECMTimeLeftInChat = {
	everyone = false,
	low_time = 5,
	div = '_ 20',
	prefix = 'ECM',
	message = ' seconds left'
}

MenuHelperHelper._tweaks = {
	everyone = { priority = 5 },
	div = { priority = 3 },
	low_time = { priority = 4, slider_min = 1, slider_max = 10 },
	prefix = { priority = 2 },
	message = { priority = 1 },
	default = { 
		save_only_changed = true
	}
}

MenuHelperHelper:CreateMenu(ECMTimeLeftInChat, 'ecm_time_chat', 'ECM time in chat.txt', function(settings)
	ECMTimeLeftInChat = settings
end)

local thisPath
local thisDir
local function Dirs()
	thisPath = debug.getinfo(2, "S").source:sub(2)
	thisDir = string.match(thisPath, '.*/')
end
Dirs()
Dirs = nil

Hooks:Add("LocalizationManagerPostInit", "ECMTimeInChat", function(loc)
	LocalizationManager:load_localization_file(thisDir..'ECM loc.json')
end)